# DataExchange
TKXSBase
Interface

# Interface_DataMapNodeOfDataMapOfIntegerTransient Class Reference

`#include <Interface_DataMapNodeOfDataMapOfIntegerTransient.hxx>`

## Public Member Functions

| Interface_DataMapNodeOfDataMapOfIntegerTransient (const Standard_Integer &K, const Handle(Standard_Transient)&I, const TCollection_MapNodePtr &n)
Standard_Integer & | Key () const
Handle_Standard_Transient & | Value () const
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Standard_Integer | myKey
Handle_Standard_Transient | myValue

## Constructor & Destructor Documentation

Interface_DataMapNodeOfDataMapOfIntegerTransient::Interface_DataMapNodeOfDataMapOfIntegerTransient | ( | const Standard_Integer & | K,
|  | const Handle(Standard_Transient)& | I,
|  | const TCollection_MapNodePtr & | n
| ) |

## Member Function Documentation

Standard_EXPORT const Interface_DataMapNodeOfDataMapOfIntegerTransient::Handle | ( | Standard_Type |  | ) | const

Standard_Integer& Interface_DataMapNodeOfDataMapOfIntegerTransient::Key | ( |  | ) | const

Handle_Standard_Transient& Interface_DataMapNodeOfDataMapOfIntegerTransient::Value | ( |  | ) | const

## Field Documentation

Standard_Integer Interface_DataMapNodeOfDataMapOfIntegerTransient::myKey`[private]`

Handle_Standard_Transient Interface_DataMapNodeOfDataMapOfIntegerTransient::myValue`[private]`

The documentation for this class was generated from the following file:

- Interface_DataMapNodeOfDataMapOfIntegerTransient.hxx